Package com.sun.speech.freetts

# Interface PhoneSet

All Known Implementing Classes:
  `PhoneSetImpl`

public interface PhoneSet
Maintains a list of phones with various features for those phones.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CPLACE`
Consonant cplace: l = labial, a = alveolar, p = palatal, b = labio_dental, d = dental, v = velar
`static final String`
`CTYPE`
Consonant type: s = stop, f = fricative, a = affricative, n = nasal, l = liquid.
`static final String`
`CVOX`
Consonant voicing: + = on, - = off
`static final String`
`VC`
Vowel or consonant: + = vowel, - = consonant.
`static final String`
`VFRONT`
Vowel frontness: 1 = front, 2 = mid, 3 = back.
`static final String`
`VHEIGHT`
Vowel height: 1 = high, 2 = mid, 3 = low.
`static final String`
`VLNG`
Vowel length: s = short, l = long, d = dipthong, a = schwa.
`static final String`
`VRND`
Lip rounding: + = on, - = off.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPhoneFeature(String phone, String featureName)`
Given a phoneme and a feature name, return the feature.

## Field Details

### VC

static final String VC
Vowel or consonant: + = vowel, - = consonant.

See Also:
  - Constant Field Values

### VLNG

static final String VLNG
Vowel length: s = short, l = long, d = dipthong, a = schwa.

See Also:
  - Constant Field Values

### VHEIGHT

static final String VHEIGHT
Vowel height: 1 = high, 2 = mid, 3 = low.

See Also:
  - Constant Field Values

### VFRONT

static final String VFRONT
Vowel frontness: 1 = front, 2 = mid, 3 = back.

See Also:
  - Constant Field Values

### VRND

static final String VRND
Lip rounding: + = on, - = off.

See Also:
  - Constant Field Values

### CTYPE

static final String CTYPE
Consonant type: s = stop, f = fricative, a = affricative, n = nasal, l = liquid.

See Also:
  - Constant Field Values

### CPLACE

static final String CPLACE
Consonant cplace: l = labial, a = alveolar, p = palatal, b = labio_dental, d = dental, v = velar

See Also:
  - Constant Field Values

### CVOX

static final String CVOX
Consonant voicing: + = on, - = off

See Also:
  - Constant Field Values

## Method Details

### getPhoneFeature

String getPhoneFeature(String phone, String featureName)
Given a phoneme and a feature name, return the feature.

Parameters:
  `phone` - the phoneme of interest
  `featureName` - the name of the feature of interest
Returns:
  the feature with the given name